var tabla;

//funcion que se ejecuta al inicio
function init(){
   mostrarform(false);
   listar();

   $("#formulario").on("submit",function(e){
   	guardaryeditar(e);
   });
}

//funcion limpiar
function limpiar(){
	$("#nombre").val("");
}

//funcion mostrar formulario 
function mostrarform(flag){
	limpiar();
	if(flag){
		$("#listadoregistros").hide();
		$("#clienteestado").show();
		$("#clienteestado1").show();
		$("#btnGuardar").prop("disabled",false);
		$("#btnagregar").hide();
	}else{
		$("#listadoregistros").show();
		$("#clienteestado").hide();
		$("#clienteestado1").hide();
		$("#btnagregar").show();
	}
}

//cancelar form
function cancelarform(){
	limpiar();
	mostrarform(false);
}

//funcion listar
function listar(){
	tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  'pdf'
		],
		"ajax":
		{
			url:'controladores/movimientobancoControlador.php?op=listar',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"drawCallback":function(){
			var api 	= this.api();
			var data1	= api.column(2).data();
			var data2	= api.column(3).data();
			var data3	= api.column(4).data();
			var total1	=	0;
			var total2	=	0;
			var total3	=	0;

			for (var i = 0; i < data1.length; i++) {
      	total1 	= total1+numero(data1[i]);
				total2 	= total2+numero(data2[i]);
				total3 	= total3+numero(data3[i]);
				
      }
			total1		= number_format(total1*1,2);
			total2		= number_format(total2*1,2);
			total3		= number_format(total3*1,2);
			$(api.column(0).footer()).html('Total:');
			$(api.column(2).footer()).html(total1);
			$(api.column(3).footer()).html(total2);
			$(api.column(4).footer()).html(total3);
			
	  	},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

function mostrar(idbancocuenta){
	$.post("controladores/movimientobancoControlador.php?op=mostrar",{idbancocuenta : idbancocuenta},
		function(data,status)
		{
			data=JSON.parse(data);
			mostrarform(true);

			$("#nombre").val(data.nombre);
		})
		$.post("controladores/movimientobancoControlador.php?op=listarDetalle&id="+idbancocuenta,function(r){
			$("#detalles").html(r);
		});
}

function mostrarc(idmovimiento){
	//bootbox.alert('mostar idmoviento '+idmovimiento);
	tabla1=$('#tbdocumentos').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'controladores/movimientobancoControlador.php?op=listarmovimientocobro',
			method: 'get',
			data: {
				idmovimiento : idmovimiento
			},
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"drawCallback":function(){
			var api 	= this.api();
			var data1	= api.column(2).data();
			var data2	= api.column(3).data();
			var data3	= api.column(4).data();
			var total1	=	0;
			var total2	=	0;
			var total3	=	0;

			for (var i = 0; i < data1.length; i++) {
      	total1 	= total1+numero(data1[i]);
				total2 	= total2+numero(data2[i]);
				total3 	= total3+numero(data3[i]);
				
      }
			total1		= number_format(total1*1,2);
			total2		= number_format(total2*1,2);
			total3		= number_format(total3*1,2);
			$(api.column(0).footer()).html('Total:');
			$(api.column(2).footer()).html(total1);
			$(api.column(3).footer()).html(total2);
			$(api.column(4).footer()).html(total3);
			
	  	},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
	$('#myModalM').modal('show');
}

function mostrarp(idmovimiento){
	//bootbox.alert('mostar idmoviento '+idmovimiento);
	tabla1=$('#tbdocumentos').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'controladores/movimientobancoControlador.php?op=listarmovimientopago',
			method: 'get',
			data: {
				idmovimiento : idmovimiento
			},
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"drawCallback":function(){
			var api 	= this.api();
			var data1	= api.column(2).data();
			var data2	= api.column(3).data();
			var data3	= api.column(4).data();
			var total1	=	0;
			var total2	=	0;
			var total3	=	0;

			for (var i = 0; i < data1.length; i++) {
      	total1 	= total1+numero(data1[i]);
				total2 	= total2+numero(data2[i]);
				total3 	= total3+numero(data3[i]);
				
      }
			total1		= number_format(total1*1,2);
			total2		= number_format(total2*1,2);
			total3		= number_format(total3*1,2);
			$(api.column(0).footer()).html('Total:');
			$(api.column(2).footer()).html(total1);
			$(api.column(3).footer()).html(total2);
			$(api.column(4).footer()).html(total3);
			
	  	},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
	$('#myModalM').modal('show');
}

init();